/*
	A basic extension of the java.awt.Dialog class
 */

import java.awt.*;

public class DownloadDialog extends Dialog
{
    boolean OKOUT;
	public DownloadDialog(Frame parent)
	{
		super(parent,true);

		// This code is automatically generated by Visual Cafe when you add
		// components to the visual environment. It instantiates and initializes
		// the components. To modify the code, only use code syntax that matches
		// what Visual Cafe can generate, or Visual Cafe may be unable to back
		// parse your Java file into its visual environment.
		//{{INIT_CONTROLS
		setLayout(null);
		setBackground(java.awt.Color.lightGray);
		setSize(430,139);
		setVisible(false);
		OKBUTTON.setLabel("OK");
		add(OKBUTTON);
		OKBUTTON.setBounds(60,84,96,30);
		CLBUTTON.setLabel("CANCEL");
		add(CLBUTTON);
		CLBUTTON.setBounds(288,84,96,30);
		formatGSE.setCheckboxGroup(Group1);
		formatGSE.setState(true);
		formatGSE.setLabel("GSE (CM6)");
		add(formatGSE);
		formatGSE.setBounds(180,24,100,24);
		formatSEIS.setCheckboxGroup(Group1);
		formatSEIS.setLabel("SEISAN");
		add(formatSEIS);
		formatSEIS.setBounds(300,24,100,24);
		label1.setText("File Format (Zip files): ");
		add(label1);
		label1.setBounds(36,24,132,24);
		setTitle("Download the waveform");
		//}}

		//{{REGISTER_LISTENERS
		SymWindow aSymWindow = new SymWindow();
		this.addWindowListener(aSymWindow);
		SymAction lSymAction = new SymAction();
		OKBUTTON.addActionListener(lSymAction);
		CLBUTTON.addActionListener(lSymAction);
		//}}
	}
	
	public DownloadDialog(Frame parent, boolean modal)
	{
		this(parent);
        setModal(modal);
	}
	
	public void addNotify()
	{
  	    // Record the size of the window prior to calling parents addNotify.
	    Dimension d = getSize();

		super.addNotify();

		if (fComponentsAdjusted)
			return;

		// Adjust components according to the insets
		Insets insets = getInsets();
		setSize(insets.left + insets.right + d.width, insets.top + insets.bottom + d.height);
		Component components[] = getComponents();
		for (int i = 0; i < components.length; i++)
		{
			Point p = components[i].getLocation();
			p.translate(insets.left, insets.top);
			components[i].setLocation(p);
		}
		fComponentsAdjusted = true;
	}

    // Used for addNotify check.
	boolean fComponentsAdjusted = false;


	public DownloadDialog(Frame parent, String title, boolean modal)
	{
		this(parent, modal);
		setTitle(title);
	}

    /**
     * Shows or hides the component depending on the boolean flag b.
     * @param b  if true, show the component; otherwise, hide the component.
     * @see java.awt.Component#isVisible
     */
    public void setVisible(boolean b)
	{
		if(b)
		{
			Rectangle bounds = getParent().getBounds();
			Rectangle abounds = getBounds();
	
			setLocation(bounds.x + (bounds.width - abounds.width)/ 2,
				 bounds.y + (bounds.height - abounds.height)/2);
		}
		super.setVisible(b);
	}

	//{{DECLARE_CONTROLS
	java.awt.Button OKBUTTON = new java.awt.Button();
	java.awt.Button CLBUTTON = new java.awt.Button();
	java.awt.Checkbox formatGSE = new java.awt.Checkbox();
	java.awt.CheckboxGroup Group1 = new java.awt.CheckboxGroup();
	java.awt.Checkbox formatSEIS = new java.awt.Checkbox();
	java.awt.Label label1 = new java.awt.Label();
	//}}

	class SymWindow extends java.awt.event.WindowAdapter
	{
		public void windowClosing(java.awt.event.WindowEvent event)
		{
			Object object = event.getSource();
			if (object == DownloadDialog.this)
				DownloadDialog_WindowClosing(event);
		}
	}
	
	void DownloadDialog_WindowClosing(java.awt.event.WindowEvent event)
	{
		setVisible(false);
	}

	class SymAction implements java.awt.event.ActionListener
	{
		public void actionPerformed(java.awt.event.ActionEvent event)
		{
			Object object = event.getSource();
			if (object == OKBUTTON)
				OKBUTTON_ActionPerformed(event);
			else if (object == CLBUTTON)
				CLBUTTON_ActionPerformed(event);
		}
	}

	void OKBUTTON_ActionPerformed(java.awt.event.ActionEvent event)
	{
		// OK
		OKOUT=true;
		setVisible(false);
			 
	}

	void CLBUTTON_ActionPerformed(java.awt.event.ActionEvent event)
	{
		// CANCEL
		OKOUT=false;
		setVisible(false);	 
	}
}
